<?php

/**
 * @package     EasyStore.Site
 * @subpackage  com_easystore
 *
 * @copyright   Copyright (C) 2023 JoomShaper <https://www.joomshaper.com>. All rights reserved.
 * @license     GNU General Public License version 3; see LICENSE
 */

use Joomla\CMS\Factory;

// phpcs:disable PSR1.Files.SideEffects
\defined('_JEXEC') or die;
// phpcs:enable PSR1.Files.SideEffects

extract($displayData);

$app = Factory::getApplication();
$input = $app->input;
$option = $input->get('option', '', 'STRING');
$optionView = $input->get('view', '', 'STRING');
$context = $option . '.' . $optionView;
$isEditor = ($context == 'com_sppagebuilder.form' || $context == 'com_sppagebuilder.ajax');

?>
<div class="easystore-product-gallery">
    <?php foreach ($item->media->gallery as $index => $image) : ?>
        <?php if ($isEditor) : ?>
            <div class="easystore-gallery-image <?php echo (int) $image->id === (int) $item->thumbnail->id ? ' active' : ''; ?>">
                <img src="<?php echo $image->src; ?>" alt="<?php echo $image->alt_text; ?>">
            </div>
        <?php else : ?>
            <button type="button" @click="onThumbnailChange($event, '<?php echo $image->src; ?>')" class="easystore-gallery-image easystore-button-reset<?php echo (int) $image->id === (int) $item->thumbnail->id ? ' active' : ''; ?>">
                <img src="<?php echo $image->src; ?>" alt="<?php echo $image->alt_text; ?>" loading="lazy">
            </button>
        <?php endif; ?>
    <?php endforeach; ?>
</div>